import request from '@/utils/request'

/**     --------------问题记录---------------     */
// 查询列表
export function listProblem(query) {
  return request({
    url: '/system/knowledgebase/list',
    method: 'post',
    data: query
  })
}

// 详情
export function getProblem(Id) {
  return request({
    url: '/system/knowledgebase/' + Id,
    method: 'get'
  })
}

// 新增
export function addProblem(data) {
  return request({
    url: '/system/knowledgebase',
    method: 'post',
    data: data
  })
}

// 修改
export function updateProblem(data) {
  return request({
    url: '/system/knowledgebase',
    method: 'put',
    data: data
  })
}
// 删除
export function delProblem(Ids) {
  return request({
    url: '/system/knowledgebase/' + Ids,
    method: 'delete'
  })
}
